""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('workflow', '0049_secondary_storage'),
    ]

    operations = [
        migrations.CreateModel(
            name='SecondaryStorageLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_time', models.DateTimeField()),
                ('end_time', models.DateTimeField(blank=True, null=True)),
                ('status', models.CharField(max_length=50)),
                ('total_records', models.IntegerField(default=0)),
                ('success_records', models.IntegerField(default=0)),
                ('failed_records', models.IntegerField(default=0)),
                ('table_name', models.CharField(max_length=50)),
                ('error_details', models.TextField(blank=True, null=True)),
                ('info', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'secondary_storage_log',
            },
        ),
    ]
